curl --request POST \
--url https://external.pleo.io/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"name": "<string>",
"code": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://external.pleo.io/v1/teams"
payload = {
"name": "<string>",
"code": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
name: '<string>',
code: '<string>',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://external.pleo.io/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"code": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employees": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Create a Team
Use this endpoint to create a new team for the company or organisation the access token is scoped to. If organizationId is supplied, it takes precedence and the access token must be scoped to that organisation. Otherwise, companyId is used if supplied (the access token must have access to that company), defaulting to the company the access token is scoped to if neither is supplied. Team names must be unique (case-insensitive) within the company and its organisation.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Body
Name of the Team
External ID of the Team
ID of the Company to create the Team under. Defaults to the company the access token is scoped to if omitted. Ignored if organizationId is provided.
ID of the Organisation to create the Team under. The access token must be scoped to this organisation. Takes precedence over companyId if both are provided.
Response
Team resource created
Show child attributes
Show child attributes
Was this page helpful?